global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-payment-dashboard
  title: Payment Service Dashboard (PROD)
  metricsPrefix: freeleaps_payment
payment:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: payment
    tag: 1.1.1
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8006
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 128Mi
    limits:
      cpu: 300m
      memory: 256Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8006
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8006
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: payment-service
    type: ClusterIP
    port: 8006
    targetPort: 8006
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      internal: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    tz: UTC
    appName: payment
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8006
    mongodbName: freeleaps2
    mongodbPort: 27017
    mongodbUri: mongodb+srv://freeadmin:0eMV0bt8oyaknA0m@freeleaps2.zmsmpos.mongodb.net/?retryWrites=true&w=majority
    stripeApiKey: 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
    siteUrlRoot: https://freeleaps.com
    metricsEnabled: "true"
    probesEnabled: "true"